#include "SixtyFour.h"

#ifndef _SEARCH_H
#define _SEARCH_H

int searchEvaluate(UINT *cube, UINT turn);
UINT searchGo(LPVOID param);

extern Move g_moveWinner[4];
extern BOOL g_bRecord;
extern BOOL g_bThreadRunning;
extern BOOL g_bAbortSearch;

#define INFINITY	1000
#define WM_SEARCH_DONE			WM_USER + 0x01

#endif
